%global modname argcomplete

# Currently it's broken: https://github.com/kislyuk/argcomplete/issues/174
%bcond_with check

Name:           python-%{modname}
Summary:        Bash tab completion for argparse
Version:        1.7.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

%if %{with check}
BuildRequires:  tcsh
%endif

BuildArch:      noarch

%global _description \
Argcomplete provides easy, extensible command line tab completion of\
arguments for your Python script.\
\
It makes two assumptions:\
\
 * You are using bash as your shell\
 * You are using argparse to manage your command line arguments/options\
\
Argcomplete is particularly useful if your program has lots of\
options or subparsers, and if your program can dynamically suggest\
completions for your argument/option values (for example, if the user\
is browsing resources over the network).

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if %{with check}
BuildRequires:  python2-pexpect
%endif
# pkg_resources module is used from python-argcomplete-check-easy-install-script
Requires:       python-setuptools

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with check}
BuildRequires:  python%{python3_pkgversion}-pexpect
%endif

%description -n python%{python3_pkgversion}-%{modname} %{_description}

Python %{python3_version} version.

%package -n python%{python3_other_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{modname}}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%if %{with check}
# Currently not available in EPEL7
# BuildRequires:  python%%{python3_other_pkgversion}-pexpect
%endif

%description -n python%{python3_other_pkgversion}-%{modname} %{_description}

Python %{python3_other_version} version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_other_build
%py3_build
%py2_build

%install
%py3_other_install
%py3_install
%py2_install
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python2_sitelib}/%{modname}/bash_completion.d/python-argcomplete.sh %{buildroot}%{_sysconfdir}/bash_completion.d/

%if %{with check}
%check
export LC_ALL=C.UTF-8
%{__python2} setup.py test
%{__python3} setup.py test
# %%{__python3_other} setup.py test
%endif

%files -n python2-%{modname}
%license LICENSE.rst
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/python-argcomplete-tcsh
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/python-argcomplete.sh

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%files -n python%{python3_other_pkgversion}-%{modname}
%license LICENSE.rst
%doc README.rst
%{python3_other_sitelib}/%{modname}-*.egg-info/
%{python3_other_sitelib}/%{modname}/


%changelog
* Wed Jun 28 2023 Simone Caronni <negativo17@gmail.com> - 1.7.0-5
- Rebuild to provide python<version>dist(argcomplete).

* Tue Apr 02 2019 Troy Dawson <tdawson@redhat.com> - 1.7.0-4
- Rebuilt to change main python from 3.4 to 3.6

* Thu Jan 17 2019 - Scott K Logan <logans@cottsay.net> 1.7.0-3
- Add python%{python3_other_pkgversion}- package

* Tue Aug 1 2017 - Orion Poplawski <orion@cora.nwra.com> 1.7.0-2
- Ship python2- and python%{python3_pkgversion}- packages

* Thu Jan 12 2017 - Steve Traylen <steve.traylen@cern.ch> 1.7.0-1
- Updating package to 1.7.0

* Tue May 5 2015 - Steve Traylen <steve.traylen@cern.ch> 0.8.8-1
- Updating package to 0.8.8

* Sun Dec 14 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.8.4-1
- Updating package to 0.8.4

* Fri Sep 12 2014 - Steve Traylen <steve.traylen@cern.ch> 0.8.1-1
- Updating package to 0.8.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.8.0-1
- Updating package to 0.8.0

* Sun Mar 30 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.7.1-1
- Updating package to 0.7.1

* Mon Mar 24 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.7.0-1
- Updating package to 0.7.0

* Mon Jan 13 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.7-2
- Removing '%exclude %{python_sitelib}/test' fom %files as no longer needed.

* Mon Jan 13 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.7-1
- Applying latest patch of argcomplete.

* Wed Jan 8 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.3-4
- Pushing new build for update as previous was not picked up.

* Wed Oct 16 2013 - Dale Macartney <dbmacartney@gmail.com> 0.6.3-3
- Correct missing files for el6

* Tue Oct 15 2013 - Dale Macartney <dbmacartney@gmail.com> 0.6.3-2
- Initial packaging for Fedora Project and including LICENSE.rst in docs

* Thu Jan 31 2013 - Marco Neciarini <marco.nenciarini@2ndquadrant.it> 0.3.5-1
- Initial packaging.
